/*
 * **********************************
 *                                   *
 * HLC Games - Software Entertainment *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC BrickCoverage - (1.6.2010) ************************
 *
 * (c) Copyright 2010 - Lukas Hermanns
 *
 * Standard file
 *
 */

#include "bcStandard.hpp"
#include "bcBasicBrick.hpp"


// Global members

SoftPixelDevice* spDevice           = 0;

video::VideoDriver* spDriver        = 0;
scene::SceneManager* spSmngr        = 0;
scene::CollisionDetector* spCmngr   = 0;
io::InputControl* spControl         = 0;

scene::Camera* Cam              = 0;
scene::Light* Lit               = 0;

scene::Mesh* GroundObj          = 0;

video::Texture* BrickHeadTex    = 0;

video::EVideoDrivers RendererType = video::DRIVER_OPENGL;
bool IsFullScreen = false;
dim::size2di ScrSize(800, 600);
video::color BackgroundColor(255);

s32 CurBasicBrickType = bc::BRICK_4_3_2;
bool IsPickedMenu = false;


// Functions

void PrintError(const io::stringc &Message)
{
    io::printInfo("INGAME ERROR: " + Message + "!", io::INFO_ERROR);
}



// ================================================================================
