/*
 * **********************************
 *                                   *
 * HLC Games - Software Entertainment *
 *                                     *
 * (c) Copyright 2003 - Lukas Hermanns  *
 *                                       *
 * ****************************************
 *  ___    ___    ___          _____
 * /\  \  /\  \  /\  \        /  ___\
 * \ \  \_\_\  \ \ \  \      /\  \__/
 *  \ \   ___   \ \ \  \     \ \  \
 *   \ \  \__/\  \ \ \  \____ \ \  \___
 *    \ \__\ \ \__\ \ \______\ \ \_____\
 *     \/__/  \/__/  \/______/  \/_____/
 *
 * ****************************************
 *
 * ********************** HLC BrickCoverage - (1.6.2010) ************************
 *
 * (c) Copyright 2010 - Lukas Hermanns
 *
 * Standard header
 *
 */

#ifndef __BC_STANDARD_H__
#define __BC_STANDARD_H__


#include <SoftPixelEngine.hpp>

using namespace sp;
using namespace std;


// Macros

#define __BRICKCOVERAGE_GAME__

#define BRICKCOVERAGE_VERSION_MAJOR     1
#define BRICKCOVERAGE_VERSION_MINOR     0
#define BRICKCOVERAGE_VERSION_REVISION  0
#define BRICKCOVERAGE_VERSION_STATUS    "alpha" // "alpha", "beta" or ""


// Global members

extern SoftPixelDevice* spDevice;

extern video::VideoDriver* spDriver;
extern scene::SceneManager* spSmngr;
extern scene::CollisionDetector* spCmngr;
extern io::InputControl* spControl;

extern scene::Camera* Cam;
extern scene::Light* Lit;

extern scene::Mesh* GroundObj;

extern video::Texture* BrickHeadTex;

extern video::EVideoDrivers RendererType;
extern bool IsFullScreen;
extern dim::size2di ScrSize;
extern video::color BackgroundColor;

extern s32 CurBasicBrickType;
extern bool IsPickedMenu;


// Declerations

void PrintError(const io::stringc &Message);


#endif








// ================================================================================
